Subject: bug#36766: closed (Re: bug#36766: 27.0.50; Remove gnus-start-news-server)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 25 Jul 2019 16:14:03 +0000

Your bug report

#36766: 27.0.50; Remove gnus-start-news-server

which was filed against the emacs,gnus package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36766: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36766
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36766: 27.0.50; Remove gnus-start-news-server
From: Eric Abrahamsen <[email-masked]>
Cc: [email-masked]
Date: Thu, 25 Jul 2019 09:13:29 -0700
Newsgroups: gmane.emacs.bugs
List-Id: <debbugs-submit.debbugs.gnu.org>

The following message is a courtesy copy of an article
that has been posted to gmane.emacs.bugs as well.

Lars Ingebrigtsen <[email-masked]> writes:

> Eric Abrahamsen <[email-masked]> writes:
>
>> Oh! I was getting ahead of things, sorry. 28 sounds fine to me. I guess
>> I'll leave this bug report open for when the time comes.
>
> I don't think that's necessary...  perhaps just add a comment to the
> line before gnus-nntp-server that this function should be removed at the
> same time?

Okay, will do.

Subject: 27.0.50; Remove gnus-start-news-server
From: Eric Abrahamsen <[email-masked]>
To: [email-masked]
Date: Mon, 22 Jul 2019 11:42:33 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

I think this function can be removed entirely. It is the only place
where the obsolete variables `gnus-nntp-server' and
`gnus-secondary-servers' are referenced, and its main job seems to be
bailing on Gnus startup if a nntp server isn't available. Now that Gnus
doesn't insist on being a newsreader, there's no reason why it should
ever bail on startup, no matter what happened. The only bit of the
function that looks like it should be kept is:

(gnus-agent-read-servers-validate-native gnus-select-method)

Which updates from earlier versions, but that bit could be moved elsewhere.